<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial--scale=1">

	<title>CSS and Bootstrap Flex</title>
	<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->


<!-- 
	shortcut key:
	ctrl enter > new line
	ctrl shift D > to copy and paste a code line
	ctrl shift key up/down > to move the code line
 -->

 <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">


</head>
<body>
	<div class="text-center">
		<h1>Bootstrap Flex</h1>
		<p>
		Use the d-flex class to create a flex container and transform direct children into flex items.
		</p>

		<h2>Centering elements</h2>

		<div style="height: 500px;" class="bg-secondary p-3 d-flex justify-content-center align-items-center flex-column-reverse">
			<div class="h-25 p-3 bg-success">Flex item A</div>
			<div class="h-25 p-3 bg-warning">Flex item B</div>
			<div class="h-25 p-3 bg-danger">Flex item C</div>
		</div>
	</div>

	<h2>Flex Row</h2>

	<div class="bg-dark p-3 d-flex flex-row">
		<div class="p-3 bg-success"> Flex Item A</div>
		<div class="p-3 bg-warning"> Flex Item B</div>
		<div class="p-3 bg-danger"> Flex Item C</div>
	</div>

	<h2>Creating Space Between Elements</h2>

	<!-- justify-content-around class centers elements horizontally while creating space between elements and the borders of it's parent -->
	<div class="bg-dark p-3 d-md-flex justify-content-around">
		<div class="p-3 bg-success col-md-2"> Flex Item A</div>
		<div class="p-3 bg-warning col-md-2"> Flex Item B</div>
		<div class="p-3 bg-danger col-md-2"> Flex Item C</div>
	</div>


	<h2> Flexbox with Margin</h2>
	<div class="bg-dark p-3 d-flex flex-row">
		<div class="p-3 bg-success mr-auto"> Flex Item A</div>
		<div class="p-3 bg-warning"> Flex Item B</div>
		<div class="p-3 bg-danger"> Flex Item C</div>
		<div class="p-3 bg-primary"> Flex Item D</div>
	</div>



	<h2>Nested Flex Elements</h2>
	<div class="bg-dark p-3 d-block d-md-flex">
		<div class="p-3 bg-success me-auto">Flex Item A</div>
		<div class="w-75 d-block d-md-flex justify-content-between">
			<!-- justify-content-between creates space between elements but removes the padding of leftmost and rightmost padding.  -->
			<div class="p-3 bg-warning">Flex Item B</div>
			<div class="p-3 bg-danger">Flex Item c</div>
			<div class="p-3 bg-primary">Flex Item D</div>
		</div>
	</div>


	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>